=== debian/changelog ===
scratchbox2 (1.99.0.19) unstable; urgency=low

  * New upstream version
  * reworked sb2 target setup
  * improved dpkg-architecture handling

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 20 Sep 2007 00:03:48 +0300

scratchbox2 (1.99.0.18) unstable; urgency=low

  * New upstream version
  * endianness fixes, thus add powerpc and ia64 host support
  * add testsuite for debugging target problems
  * buggy cache code removed completly

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 06 Sep 2007 11:06:48 +0300

scratchbox2 (1.99.0.16) unstable; urgency=low

  * New upstream version:
  - Multilib support to allow using precompiled ia32 crosstoolchains
    on amd64 hosts
  - Fix hashbang support in execve() and do_exec()
  - Fix symlink handling
  - Add dbs support
  * Change packagin to use multilib

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 29 Aug 2007 15:13:36 +0300

scratchbox2 (1.99.0.11) unstable; urgency=low

  * New upstream version, fixes and sb1 cruft killing
  * Add Homepage and git repos to debian/control

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 26 Jul 2007 00:17:44 +0300

scratchbox2 (1.99.0.9) unstable; urgency=low

  * New upstream version

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 10 Jul 2007 11:40:46 +0300

scratchbox2 (1.99.0.5) unstable; urgency=low

  * Initial upload to Debian. Closes: #414737

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 25 May 2007 21:46:52 +0300
