=== debian/control ===
Source: scratchbox2
Maintainer: Riku Voipio <riku.voipio@iki.fi>
Section: utils
Priority: extra
Standards-Version: 3.7.2
Build-Depends: debhelper (>=5), automake1.9, autoconf, gcc-multilib [amd64], libc6-dev-i386 [amd64], g++-multilib [amd64]
XS-Vcs-Git: git://anongit.freedesktop.org/git/sbox2
XS-Vcs-Browser: http://gitweb.freedesktop.org/?p=sbox2.git

Package: scratchbox2
Architecture: i386 amd64 powerpc ia64
Depends: ${shlibs:Depends}
Recommends: qemu, fakeroot
Suggests: sbrsh
Description: Transparent cross compiling environment
 Scratchbox2 uses a LD_PRELOAD library to create a transparent cross compiling
 environment. Scratchbox2 automatically maps file system accesses to
 crosscompiler, target libraries and headers using a flexible lua path mapping
 engine. Together with CPU transparency, provided by qemu or sbrsh, scratchbox2
 enables fast crosscompiling without modifying build scripts.
 .
 Homepage: http://www.freedesktop.org/wiki/Software/sbox2
