=== preload/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-objs := wrappers.o libsb2.o sb_exec.o
+objs := wrappers.o libsb2.o sb_exec.o sb_l10n.o glob.o glob64.o
 
 ifeq ($(shell uname -s),Linux)
 LIBSB2_LDFLAGS = -Wl,-soname=$(LIBSB2_SONAME) \
@@ -24,7 +24,7 @@
 
 targets := $(targets) $(D)/libsb2.$(SHLIBEXT)
 
-$(D)/libsb2.o $(D)/sb_exec.o: preload/exported.h
+$(D)/libsb2.o $(D)/sb_l10n.o $(D)/sb_exec.o: preload/exported.h
 $(D)/exported.h $(D)/ldexportlist: preload/wrappers.c
 $(D)/wrappers.c: preload/interface.master preload/gen-interface.pl
 	$(MKOUTPUTDIR)
