=== utils/Makefile ===
--- 
+++ 
@@ -21,5 +21,14 @@
 	$(P)LD
 	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^
 
+$(D)/sb2-interp-wrapper: CFLAGS := $(CFLAGS) -Wall -W -Werror \
+		-I$(SRCDIR)/preload -Ipreload/ $(PROTOTYPEWARNINGS) \
+		-I$(SRCDIR)/include
 
-targets := $(targets) $(D)/sb2-show $(D)/sb2-monitor 
+$(D)/sb2-interp-wrapper: preload/libsb2.so $(D)/sb2-interp-wrapper.o
+	$(MKOUTPUTDIR)
+	$(P)LD
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $^ -ldl
+
+
+targets := $(targets) $(D)/sb2-show $(D)/sb2-monitor $(D)/sb2-interp-wrapper
